Bug 75853 - anaconda thinks that AMD 5x86 133 processor != 586
anaconda thinks that AMD 5x86 133 processor != 586
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-13 23:01 EDT by Joshua Jensen
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-03 12:08:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2002-10-13 23:01:24 EDT
Description of Problem:

This processor was not detected as being Pentium class, which caused only the
kerenl-BOOT kernel package to be installed:

[root@firewall root]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 4
model           : 15
model name      : Am5x86-WB
stepping        : 4
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu
bogomips        : 66.15


The 586 kernel works perfectly, and -should- be installed automatically as this
is a Pentium-class CPU.


Version-Release number of selected component (if applicable):

8.0

How Reproducible:

Install 8.0
Comment 1 Arjan van de Ven 2002-10-14 05:27:48 EDT
cpu family      : 4

your cpu reports itself as 80486....
Comment 2 Joshua Jensen 2003-01-03 12:08:08 EST
You're right... it does report itself as a 486.  To bad we don't do 386 kernels
anymore... actually we do for errata, just not for installation.

Note You need to log in before you can comment on or make changes to this bug.